### Virtual Method

# FwupdPlugin Efivars exists

#### Declaration [src]

    gboolean
    exists (
      FuEfivars* self,
      const gchar* guid,
      const gchar* name
    )

#### Description [src]

Test if a variable exists.

Available since: | 2.0.0

#### Parameters

`guid` | `const gchar*`
| Globally unique identifier.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`name` | `const gchar*`
| Variable name.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` on success.